# Class ZipEntryOutputStream

java.lang.Object
java.io.OutputStream
org.pentaho.reporting.libraries.repository.zip.ZipEntryOutputStream

All Implemented Interfaces:
  `Closeable, Flushable, AutoCloseable`

public class ZipEntryOutputStream extends OutputStream
A fully buffered stream.

Author:
  Thomas Morgner

## Constructor Summary

Constructors
Constructor
Description
`ZipEntryOutputStream(ZipContentItem item)`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`void`
`flush()`
`long`
`getCrc()`
`long`
`getSize()`
`void`
`write(byte[] b)`
`void`
`write(byte[] b, int off, int len)`
`void`
`write(int b)`

### Methods inherited from class OutputStream

`nullOutputStream`

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ZipEntryOutputStream

public ZipEntryOutputStream(ZipContentItem item)

## Method Details

### write

public void write(int b) throws IOException

Specified by:
  `write` in class `OutputStream`
Throws:
  `IOException`

### write

public void write(byte[] b, int off, int len) throws IOException

Overrides:
  `write` in class `OutputStream`
Throws:
  `IOException`

### close

public void close() throws IOException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`
Overrides:
  `close` in class `OutputStream`
Throws:
  `IOException`

### write

public void write(byte[] b) throws IOException

Overrides:
  `write` in class `OutputStream`
Throws:
  `IOException`

### flush

public void flush() throws IOException

Specified by:
  `flush` in interface `Flushable`
Overrides:
  `flush` in class `OutputStream`
Throws:
  `IOException`

### getSize

public long getSize()

### getCrc

public long getCrc()